summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Kuro_CODE25 <kuro.code25@gmail.com>2015-11-17 23:46:48 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-11-17 23:46:48 +0700
commitfe39bc68b6359682eb335bcbf5df268d8cf0ebc5 (patch)
tree2d4eff7e97e88879da44df72ce4c420a3a21783e /misc
parentdc8a63484bd77580853ec1afc5a6e50516ab5a3a (diff)
downloadslackbuilds-fe39bc68b6359682eb335bcbf5df268d8cf0ebc5.tar.gz
slackbuilds-fe39bc68b6359682eb335bcbf5df268d8cf0ebc5.tar.xz
misc/zinnia: Added (hand recognition system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/zinnia/README2
-rw-r--r--misc/zinnia/doinst.sh4
-rw-r--r--misc/zinnia/slack-desc19
-rw-r--r--misc/zinnia/zinnia.SlackBuild96
-rw-r--r--misc/zinnia/zinnia.info10
5 files changed, 131 insertions, 0 deletions
diff --git a/misc/zinnia/README b/misc/zinnia/README
new file mode 100644
index 0000000000..71fee5f3ff
--- /dev/null
+++ b/misc/zinnia/README
@@ -0,0 +1,2 @@
+Zinnia is a simple, customizable and portable online hand recognition
+system based on Support Vector Machines.
diff --git a/misc/zinnia/doinst.sh b/misc/zinnia/doinst.sh
new file mode 100644
index 0000000000..d2a441427c
--- /dev/null
+++ b/misc/zinnia/doinst.sh
@@ -0,0 +1,4 @@
+( cd usr/lib ; rm -rf libzinnia.so )
+( cd usr/lib ; ln -sf libzinnia.so.0.0.0 libzinnia.so )
+( cd usr/lib ; rm -rf libzinnia.so.0 )
+( cd usr/lib ; ln -sf libzinnia.so.0.0.0 libzinnia.so.0 )
diff --git a/misc/zinnia/slack-desc b/misc/zinnia/slack-desc
new file mode 100644
index 0000000000..ada6de39fc
--- /dev/null
+++ b/misc/zinnia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zinnia: zinnia(customizable and portable online hand recognition system)
+zinnia:
+zinnia: Zinnia is a simple, customizable and portable online hand recognition
+zinnia: system based on Support Vector Machines.
+zinnia:
+zinnia: Homepage: http://taku910.github.io/zinnia/index.html
+zinnia:
+zinnia:
+zinnia:
+zinnia:
+zinnia:
diff --git a/misc/zinnia/zinnia.SlackBuild b/misc/zinnia/zinnia.SlackBuild
new file mode 100644
index 0000000000..8e6c7402c8
--- /dev/null
+++ b/misc/zinnia/zinnia.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for zinnia
+# Issued under The MIT License (MIT)
+#
+# Copyright 2015 Kuro_CODE25
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=zinnia
+VERSION=${VERSION:-0.06}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/zinnia/zinnia.info b/misc/zinnia/zinnia.info
new file mode 100644
index 0000000000..498e01d35a
--- /dev/null
+++ b/misc/zinnia/zinnia.info
@@ -0,0 +1,10 @@
+PRGNAM="zinnia"
+VERSION="0.06"
+HOMEPAGE="http://taku910.github.io/zinnia/index.html"
+DOWNLOAD="http://downloads.sourceforge.net/project/zinnia/zinnia/0.06/zinnia-0.06.tar.gz"
+MD5SUM="5ed6213e2b879465783087a0cf6d5fa0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Kuro_CODE25"
+EMAIL="kuro.code25@gmail.com"